/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Simple Split</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.SimpleSplit#getValidationPercent <em>Validation Percent</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getSimpleSplit()
 * @model
 * @generated
 */
public interface SimpleSplit extends StrategyEvaluation
{
  /**
   * Returns the value of the '<em><b>Validation Percent</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Validation Percent</em>' attribute.
   * @see #setValidationPercent(int)
   * @see fr.istic.mML.MMLPackage#getSimpleSplit_ValidationPercent()
   * @model
   * @generated
   */
  int getValidationPercent();

  /**
   * Sets the value of the '{@link fr.istic.mML.SimpleSplit#getValidationPercent <em>Validation Percent</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Validation Percent</em>' attribute.
   * @see #getValidationPercent()
   * @generated
   */
  void setValidationPercent(int value);

} // SimpleSplit
